AnyEvent::FTP::Client::Site::NetFtpServer(3pm)

NAME
AnyEvent::FTP::Client::Site::NetFtpServer - Site specific commands for Net::FTPServer

VERSION
version 0.20

SYNOPSIS
 use AnyEvent::FTP::Client;
 my $client = AnyEvent::FTP::Client->new;
 $client->connect('ftp://netftpserver')->cb(sub {
   $client->site->net_ftp_server->version->cb(sub {
     my($res) = @_;
     # $res isa AnyEvent::FTP::Client::Response where
     # the message includes the server version
   });
 });

DESCRIPTION
This class provides the "SITE" specific commands for Net::FTPServer.

METHODS

  version
 $client->site->net_ftp_server->version

Get the Net::FTPServer version.

CAVEATS
Other "SITE" commands supported by Net::FTPServer, but not implemented by this class include:

SITE ALIAS
SITE ARCHIVE
SITE CDPATH
SITE CHECKMETHOD
SITE CHECKSUM
SITE EXEC
SITE IDLE
SITE SYNC

patches that include tests are welcome.

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.